<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($elementrecueillis, 'pager_elementrecueilli');

$elementrecueillis = $pager->getStatement();

?>

<div class="table-responsive"><div id="optiontools"></div><table class="table table-striped table-bordered table-hover table-condensed table-responsive">
	<caption>Elementrecueilli</caption>
	<thead>
		<tr>
			<th><?php echo $pager->getSortLink('id'); ?></th>
			<th><?php echo $pager->getSortLink('us_id'); ?></th>
			<th><?php echo $pager->getSortLink('intervenant_id'); ?></th>
			<th><?php echo $pager->getSortLink('elementisole'); ?></th>
			<th><?php echo $pager->getSortLink('numero'); ?></th>
			<th><?php echo $pager->getSortLink('description'); ?></th>
			<th><?php echo $pager->getSortLink('intact'); ?></th>
			<th><?php echo $pager->getSortLink('datedecouverte'); ?></th>
			<th><?php echo $pager->getSortLink('datationdebreal_aaaa'); ?></th>
			<th><?php echo $pager->getSortLink('datationfinutil'); ?></th>
			<th><?php echo $pager->getSortLink('elementpoterie_id'); ?></th>
			<th><?php echo $pager->getSortLink('precisionfonction'); ?></th>
			<th><?php echo $pager->getSortLink('statut_id'); ?></th>
			<th><?php echo $pager->getSortLink('quantite'); ?></th>
			<th><?php echo $pager->getSortLink('poids'); ?></th>
			<th><?php echo $pager->getSortLink('longueur'); ?></th>
			<th><?php echo $pager->getSortLink('largeur'); ?></th>
			<th><?php echo $pager->getSortLink('hauteur'); ?></th>
			<th><?php echo $pager->getSortLink('diametre'); ?></th>
			<th><?php echo $pager->getSortLink('incertitude'); ?></th>
			<th><?php echo $pager->getSortLink('emplacement_id'); ?></th>
			<th><?php echo $pager->getSortLink('fonction_id'); ?></th>
			<th><?php echo $pager->getSortLink('classe_id'); ?></th>
			<th><?php echo $pager->getSortLink('etat_id'); ?></th>
			<th colspan="2">#</th>
		</tr>
	</thead>
	<tbody>
	<?php foreach($elementrecueillis as $elementrecueilli):
          $datationdebreal_aaaa = $elementrecueilli->has('datationdebreal_aaaa') ? $elementrecueilli->get('datationdebreal_aaaa') : '0000' ;
          $datationdebreal_aaaa = (!empty($datationdebreal_aaaa) ) ? $datationdebreal_aaaa : '0000' ;          
          $datationdebreal_mm = $elementrecueilli->has('datationdebreal_mm') ? $elementrecueilli->get('datationdebreal_mm') : '00' ;
          $datationdebreal_mm = (!empty($datationdebreal_mm) ) ? $datationdebreal_mm : '00' ;
          $datationdebreal_jj = $elementrecueilli->has('datationdebreal_jj') ? $elementrecueilli->get('datationdebreal_jj') : '00' ;
          $datationdebreal_jj = (!empty($datationdebreal_jj) ) ? $datationdebreal_jj : '00' ;
          $datationdebreal = $datationdebreal_jj.'/'.$datationdebreal_mm.'/'.$datationdebreal_aaaa ; 
  
  ?>
		<tr>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('id', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('us_id', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('intervenant_id', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('elementisole', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('numero', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('description', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('intact', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('datedecouverte', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $datationdebreal ; ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('datationfinutil', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('elementpoterie_id', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('precisionfonction', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('statut_id', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('quantite', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('poids', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('longueur', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('largeur', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('hauteur', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('diametre', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('incertitude', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('emplacement_id', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('fonction_id', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('classe_id', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><?php echo $elementrecueilli->get('etat_id', $filter_html); ?></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><a href="<?php echo $this->getRequest('Elementrecueilli', 'edit', $elementrecueilli->getPrimary()); ?>"><span class="glyphicon glyphicon-edit" style="font-size: 18px;" alt="Editer" title="Editer" ></span></a></td>
			<td <?php echo $pager->getClass($elementrecueillis); ?>><a href="<?php echo $this->getRequest('Elementrecueilli', 'delete', $elementrecueilli->getPrimary()); ?>"><span class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;" alt="Supprimer" title="Supprimer"></span></a></td>
		</tr>
	<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="26"><?php echo $pager->getPagination(); ?></td>
		</tr>
		<tr>
			<td colspan="26">
				<a href="<?php echo $this->getRequest('Elementrecueilli', 'add'); ?>" class="btn btn-primary">Ajouter</a>
				<a href="<?php echo $this->getRequest('Index', 'index'); ?>" class="btn btn-default" >Retour &agrave; index</a>
			</td>
		</tr>
	</tfoot>
</table></div>